##
##  skill.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         skill
Summary:      Super-Kill
URL:          ftp://jaguar.cs.utah.edu/pub/skill/
Vendor:       Jeff Forys
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        System
License:      BSD
Version:      4.1
Release:      20020426

#   list of sources
Source0:      ftp://jaguar.cs.utah.edu/pub/skill/skill-%{version}.tgz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    skill is a program which sends signals to processes given any
    combination of user names, ttys, commands, and pids. snice is a
    program which changes the priority of processes (given the same).
    It is similar to kill(1) and renice(8), however the command line is
    completely order independent. There are also verbose, search, and
    interactive modes of operation.

%prep
    %setup -q

%build
    case "%{l_target}" in
        *-freebsd* ) OSTYPE="nbsd-44"; COPTS=""; LIBS="" ;;
        *-linux*   ) OSTYPE="linux-1"; COPTS=-O3; LIBS="-s -N"; ;;
        *-solaris* ) OSTYPE="sys-5r4"; COPTS="-DSYSV_REGEX"; LIBS="" ;;
	*          ) echo "Platform %{l_target} still not supported." 1>&2; exit 1 ;;
    esac
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" OSTYPE="$OSTYPE" COPTS="$COPTS" LIBS="$LIBS"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        skill $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        skill.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    ln $RPM_BUILD_ROOT%{l_prefix}/bin/skill \
       $RPM_BUILD_ROOT%{l_prefix}/bin/snice
    ln $RPM_BUILD_ROOT%{l_prefix}/man/man1/skill.1 \
       $RPM_BUILD_ROOT%{l_prefix}/man/man1/snice.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

